HomeSort by relevance Sort by last modified time
    Searched refs:ssh (Results 26 - 50 of 149) sorted by null

12 3 4 5 6

  /external/ltp/testcases/network/tcp_cmds/ssh/
Makefile 2 # network/tcp_cmds/ssh testcases Makefile.
27 INSTALL_TARGETS := ssh*
ssh01_s1 19 # FILE : ssh
21 # PURPOSE: Tests to see that ssh rejects an invalid password
40 send_user "TEST: SSH Test Invalid Password \n"
45 spawn ssh -l $RUSER $RHOST whoami
58 send_user "SSH would not allow $RUSER to login with\
64 send_user "SSH allowed $RUSER to login with invalid\
ssh02_s1 19 # FILE : ssh
21 # PURPOSE: Tests to see that ssh rejects an invalid username
41 send_user "TEST: Test to see if ssh rejects Invalid User \n"
46 spawn ssh -l $RUSER $RHOST whoami
59 send_user "SSH would not allow $RUSER to login with\
65 send_user "SSH allowed $RUSER to login with invalid\
ssh03_s1 19 # FILE : ssh
21 # PURPOSE: Tests to see that ssh accepts a valid user (non-root)
40 send_user "TEST: SSH allow (non-root) valid User \n"
42 spawn ssh -l $RUSER $RHOST whoami
60 send_user "SSH allowed $RUSER to login, Test PASSED \n"
  /external/ltp/tools/
autoltp 3 # 05/22/02 martinjn@us.ibm.com wrote this script for ltp automation using ssh instead of telnet
12 use Net::SSH::Perl ();
47 # had to fork off the remote transactions because Net::SSH waits for return code
65 my $ssh = Net::SSH::Perl->new($HOST);
66 $ssh->login($USER,$PASS);
69 if($ssh->cmd("tar -xzf $LTPTARGET > /dev/null && rm $LTPTARGET && cd ltp && make clean install > /dev/null")) {
78 $ssh->cmd("nohup sar -o sar.data 60 0 >/dev/null 2>&1 &");
81 if($ssh->cmd("cd ltp* && nohup ./runalltests.sh $INSTANCES $DURATION >$RUN_LOG &")) {
90 $ssh->cmd('echo version: $(cat VERSION) > ltprun.out')
    [all...]
  /external/eigen/scripts/
eigen_gen_docs 18 rsync -az --no-p --delete build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR/ || { echo "upload failed"; exit 1; }
21 ssh $USER@ssh.tuxfamily.org "chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR" || { echo "perm failed"; exit 1; }
  /external/ltp/testcases/network/stress/ssh/
ssh-stress01-rmt 37 ssh -$ip_ver -F $ssh_config $server_ipaddr \
42 # Make ssh connections
45 ssh -$ip_ver -f -N -F $ssh_config $server_ipaddr
47 tst_resm TINFO "'$num' seems the max num of ssh conn"
53 # Disconnect all ssh connection
55 grep "ssh[[:blank:]].*${ssh_config}" | awk '{print $2}')
62 ssh -$ip_ver -F $ssh_config $server_ipaddr \
ssh-stress02-rmt 39 ssh -$ip_ver -F $ssh_config $server_ipaddr \
51 # Do not make ssh connection over the specified quantity
63 (sleep $wait_sec ; ssh -$ip_ver -F $ssh_config -l root $server_ipaddr \
72 ssh -$ip_ver -F $ssh_config $server_ipaddr \
ssh-stress03-rmt 39 ssh -$ip_ver -F $ssh_config $server_ipaddr \
45 # Set the ssh port-forwarding
49 ssh -4 -f -N -L $lport:$server_ipaddr:$rport \
54 ssh -6 -f -N -L $lport/[$server_ipaddr]/$rport \
63 # Stop the ssh port forwarding
65 grep "ssh[[:blank:]].*${ssh_config}" | awk '{print $2}')
73 ssh -$ip_ver -F $ssh_config $server_ipaddr \
  /external/openssh/
opacket.h 5 void ssh_packet_start(struct ssh *, u_char);
6 void ssh_packet_put_char(struct ssh *, int ch);
7 void ssh_packet_put_int(struct ssh *, u_int value);
8 void ssh_packet_put_int64(struct ssh *, u_int64_t value);
9 void ssh_packet_put_bignum(struct ssh *, BIGNUM * value);
10 void ssh_packet_put_bignum2(struct ssh *, BIGNUM * value);
11 void ssh_packet_put_ecpoint(struct ssh *, const EC_GROUP *, const EC_POINT *);
12 void ssh_packet_put_string(struct ssh *, const void *buf, u_int len);
13 void ssh_packet_put_cstring(struct ssh *, const char *str);
14 void ssh_packet_put_raw(struct ssh *, const void *buf, u_int len)
    [all...]
kexdhs.c 55 kexdh_server(struct ssh *ssh)
57 struct kex *kex = ssh->kex;
80 ssh_dispatch_set(ssh, SSH2_MSG_KEXDH_INIT, &input_kex_dh_init);
89 struct ssh *ssh = ctxt; local
90 struct kex *kex = ssh->kex;
105 kex->hostkey_nid, ssh);
107 kex->hostkey_nid, ssh);
118 if ((r = sshpkt_get_bignum2(ssh, dh_client_pub)) != 0 |
    [all...]
kexdhc.c 55 kexdh_client(struct ssh *ssh)
57 struct kex *kex = ssh->kex;
78 (r = sshpkt_start(ssh, SSH2_MSG_KEXDH_INIT)) != 0 ||
79 (r = sshpkt_put_bignum2(ssh, kex->dh->pub_key)) != 0 ||
80 (r = sshpkt_send(ssh)) != 0)
89 ssh_dispatch_set(ssh, SSH2_MSG_KEXDH_REPLY, &input_kex_dh);
98 struct ssh *ssh = ctxt; local
99 struct kex *kex = ssh->kex
    [all...]
kexecdhc.c 55 kexecdh_client(struct ssh *ssh)
57 struct kex *kex = ssh->kex;
74 if ((r = sshpkt_start(ssh, SSH2_MSG_KEX_ECDH_INIT)) != 0 ||
75 (r = sshpkt_put_ec(ssh, public_key, group)) != 0 ||
76 (r = sshpkt_send(ssh)) != 0)
89 ssh_dispatch_set(ssh, SSH2_MSG_KEX_ECDH_REPLY, &input_kex_ecdh_reply);
100 struct ssh *ssh = ctxt; local
101 struct kex *kex = ssh->kex
    [all...]
kex.c 68 static int kex_choose_conf(struct ssh *);
311 kex_reset_dispatch(struct ssh *ssh)
313 ssh_dispatch_range(ssh, SSH2_MSG_TRANSPORT_MIN,
315 ssh_dispatch_set(ssh, SSH2_MSG_KEXINIT, &kex_input_kexinit);
319 kex_send_newkeys(struct ssh *ssh)
323 kex_reset_dispatch(ssh);
324 if ((r = sshpkt_start(ssh, SSH2_MSG_NEWKEYS)) != 0 ||
325 (r = sshpkt_send(ssh)) != 0
336 struct ssh *ssh = ctxt; local
386 struct ssh *ssh = ctxt; local
    [all...]
Android.mk 98 ssh-dss.c \
99 ssh-ecdsa.c \
100 ssh-ed25519.c \
101 ssh-rsa.c \
129 LOCAL_CFLAGS += -DANDROID_GCE -DSSHDIR=\"/var/run/ssh\"
138 ###################### ssh ######################
145 ssh.c readconf.c clientloop.c sshtty.c \
149 LOCAL_MODULE := ssh
278 ###################### ssh-keygen ######################
285 ssh-keygen.
    [all...]
  /external/openssh/contrib/redhat/
sshd.init 9 # config: /etc/ssh/ssh_host_key
10 # config: /etc/ssh/ssh_host_key.pub
11 # config: /etc/ssh/ssh_random_seed
12 # config: /etc/ssh/sshd_config
41 /usr/bin/ssh-keygen -A
43 /sbin/restorecon /etc/ssh/ssh_host_key.pub
44 /sbin/restorecon /etc/ssh/ssh_host_rsa_key.pub
45 /sbin/restorecon /etc/ssh/ssh_host_dsa_key.pub
46 /sbin/restorecon /etc/ssh/ssh_host_ecdsa_key.pub
openssh.spec 8 # Version of ssh-askpass
23 # Use GTK2 instead of GNOME in gnome-ssh-askpass
67 Summary: The OpenSSH implementation of SSH protocol versions 1 and 2.
78 Source1: http://www.jmknoble.net/software/x11-ssh-askpass/x11-ssh-askpass-%{aversion}.tar.gz
83 Obsoletes: ssh
111 Obsoletes: ssh-clients
116 Obsoletes: ssh-server
126 Obsoletes: ssh-extras
132 Obsoletes: ssh-extra
    [all...]
  /external/selinux/restorecond/
restorecond.conf 8 /root/.ssh/*
  /external/ltp/runtest/
net_stress.appl 2 # Stress test for major application protocol (ssh, dns, http, ftp)
5 ssh4-stress ssh-stress
6 ssh6-stress ssh-stress -6
  /external/libnfnetlink/src/
libnfnetlink.c 279 struct nfnl_subsys_handle *ssh; local
288 ssh = &nfnlh->subsys[subsys_id];
289 if (ssh->cb) {
294 ssh->cb = calloc(cb_count, sizeof(*(ssh->cb)));
295 if (!ssh->cb)
298 ssh->nfnlh = nfnlh;
299 ssh->cb_count = cb_count;
300 ssh->subscriptions = subscriptions;
301 ssh->subsys_id = subsys_id
1165 const struct nfnl_subsys_handle *ssh; local
1213 struct nfnl_subsys_handle *ssh; local
1286 struct nfnl_subsys_handle *ssh; local
    [all...]
  /external/eclipse-basebuilder/basebuilder-3.6.2/org.eclipse.releng.basebuilder/plugins/org.apache.ant_1.7.1.v20090120-1145/lib/
ant-jsch.jar 
  /external/openssh/contrib/suse/
rc.sshd 24 SSHD_SYSCONFIG=/etc/sysconfig/ssh
47 ssh-keygen -A
48 echo -n "Starting SSH daemon"
58 echo -n "Shutting down SSH daemon"
114 test /etc/ssh/sshd_config -nt $SSHD_PIDFILE && echo reload
  /external/openssh/contrib/cygwin/
Makefile 60 install-scripts: ssh-host-config ssh-user-config
62 $(INSTALL) -m 755 ssh-host-config $(DESTDIR)$(bindir)/ssh-host-config
63 $(INSTALL) -m 755 ssh-user-config $(DESTDIR)$(bindir)/ssh-user-config
65 install-copy-id: $(copyidsrcdir)/ssh-copy-id $(copyidsrcdir)/ssh-copy-id.1
66 $(INSTALL) -m 755 $(copyidsrcdir)/ssh-copy-id $(DESTDIR)$(bindir)/ssh-copy-i
    [all...]
  /external/ltp/testcases/network/tcp_cmds/
Makefile 29 FILTER_OUT_SUBDIRS := ftp rlogin ssh telnet
  /external/openssh/contrib/
ssh-copy-id 34 # See the ssh-copy-id(1) man page for details
59 DEFAULT_PUB_ID_FILE=$(ls -t ${HOME}/.ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1)
62 printf 'Usage: %s [-h|-?|-n] [-i [identity_file]] [-p port] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2
92 if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then
93 GET_ID="ssh-add -L"
201 local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX)
215 # The point being that if file based, ssh needs the private key, which it cannot
217 ssh -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \
246 REMOTE_VERSION=$(ssh -v -o PreferredAuthentications=',' "$@" 2>&1
    [all...]

Completed in 263 milliseconds

12 3 4 5 6